package com.sillycycle.bagleyd.mball;

/*
 * @(#)MballInterface.java
 *
 * Copyright 1994 - 2019  David A. Bagley, bagleyd AT verizon.net
 *
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the author not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 *
 * This program is distributed in the hope that it will be "useful",
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
 * The <code>MballInterface</code> class contains most of the
 * constants used by the <code>MballFrame</code> class.
 *
 * @author	David A. Bagley
 * @author	bagleyd AT verizon.net
 * @author	https://www.sillycycle.com/puzzles.html
 */

public class MballInterface {

	static final int ACTION_RESTORE = 107;
	static final int ACTION_RESET = 108;
	static final int ACTION_AMBIGUOUS = 109;
	static final int ACTION_ILLEGAL = 110;
	static final int ACTION_MOVED = 111;
	static final int ACTION_CONTROL = 112;
	static final int ACTION_SOLVED = 113;
	static final int ACTION_COMPUTED = 114;
	static final int ACTION_UNDO = 200;
	static final int ACTION_REDO = 201;
	static final int ACTION_CLEAR = 202;
	static final int ACTION_PRACTICE = 203;
	static final int ACTION_RANDOMIZE = 204;
	static final int ACTION_SOLVE = 205;
	static final int ACTION_INCREMENT = 206;
	static final int ACTION_DECREMENT = 207;
	static final int ACTION_ORIENTIZE = 208;
	static final int ACTION_SPEED = 209;
	static final int ACTION_SLOW = 210;
	static final int ACTION_SOUND = 211;
	static final int ACTION_PERSPECTIVE = 212;
	static final int ACTION_WEDGE2 = 213;
	static final int ACTION_WEDGE4 = 214;
	static final int ACTION_WEDGE6 = 215;
	static final int ACTION_WEDGE8 = 216;
	static final int ACTION_WEDGE10 = 217;
	static final int ACTION_WEDGE12 = 218;
	static final int ACTION_IGNORE = 999;

	static final int MIN_WEDGES = 2;
	static final int MAX_WEDGES = 12;
	static final int WEDGE2 = 0;
	static final int WEDGE4 = 1;
	static final int WEDGE6 = 2;
	static final int WEDGE8 = 3;
	static final int WEDGE10 = 4;
	static final int WEDGE12 = 5;
	static final int MIN_BANDS = 1;
	static final int DEFAULT_WEDGES = 8;
	static final int DEFAULT_BANDS = 4;
	static final boolean DEFAULT_ORIENT = false;
	static final boolean DEFAULT_PRACTICE = true;
	static final int MIN_BASE = 2; // Base 1 is ridiculous :)
	static final int MAX_BASE = 36; // 10 numbers + 26 letters (ASCII)
	static final int DEFAULT_BASE = 16;
	static final boolean DEFAULT_PERSPECTIVE = false;

	static final String TITLE = "Mball";
	public enum Icons {X16, X22, X24, X32, X48, X64}
	static final String[] ICONS = {"icons/16x16/mball.png",
		"icons/22x22/mball.png",
		"icons/24x24/mball.png",
		"icons/32x32/mball.png",
		"icons/48x48/mball.png",
		"icons/64x64/mball.png"};
	public enum Sounds {MOVE}
	static final String[] SOUNDS = {"sounds/move.wav"};

	static final String[] wedgeStrings = {"Two", "Four", "Six",
		"Eight", "Ten", "Twelve"};
}
